Update Channel Sender
curl --request PATCH \
--url https://api.embedreach.com/api/channel/senders/{id} \
--header 'Content-Type: application/json' \
--data '
{
"channelSenderMetadata": {
"userPart": "<string>",
"emailReplyTo": "<string>",
"emailFromName": "<string>",
"from": "<string>",
"messageServiceSid": "<string>",
"friendlyName": "<string>"
}
}
'import requests
url = "https://api.embedreach.com/api/channel/senders/{id}"
payload = { "channelSenderMetadata": {
"userPart": "<string>",
"emailReplyTo": "<string>",
"emailFromName": "<string>",
"from": "<string>",
"messageServiceSid": "<string>",
"friendlyName": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
channelSenderMetadata: {
userPart: '<string>',
emailReplyTo: '<string>',
emailFromName: '<string>',
from: '<string>',
messageServiceSid: '<string>',
friendlyName: '<string>'
}
})
};
fetch('https://api.embedreach.com/api/channel/senders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"channelAccountId": "<string>",
"name": "<string>",
"channelSenderMetadata": {
"userPart": "<string>",
"emailReplyTo": "<string>",
"emailFromName": "<string>",
"from": "<string>",
"messageServiceSid": "<string>",
"friendlyName": "<string>"
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Channel Senders
Update Channel Sender
Update a channel sender
PATCH
/
api
/
channel
/
senders
/
{id}
Update Channel Sender
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The id of the channel sender
Body
application/json
The metadata for the channel sender
Show child attributes
Show child attributes
⌘I